Bug 227850 - www/firefox: update to 61.0
Summary: www/firefox: update to 61.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 226476 227365 227889
Blocks: 229168
  Show dependency treegraph
 
Reported: 2018-04-29 14:31 UTC by Jan Beich
Modified: 2019-02-02 18:56 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-04-29 14:31:14 UTC
See review D15227 for the patch.
Comment 1 Jan Beich freebsd_committer 2018-04-29 14:37:53 UTC
Does anyone care about DTRACE option in www/firefox? If so I need help with
https://bugzilla.mozilla.org/show_bug.cgi?id=1448659
Comment 2 Jochen Neumeister freebsd_committer 2018-05-03 16:05:27 UTC
firefox-60.0,1 with new sqlite3 (3.23.1)

http://joneumbox.org/data/11-1-AMD64-ports/2018-05-01_22h07m44s/logs/firefox-60.0,1.log
Comment 3 Jan Beich freebsd_committer 2018-05-05 22:41:46 UTC
To keep DTRACE option I also need help with
https://bugzilla.mozilla.org/show_bug.cgi?id=702179#c33
Comment 4 Charlie Li 2018-05-07 07:46:03 UTC
Heads up: the current (as of this writing) revision from mozilla-central has the security/nss requirement increased to 3.37, which has not been officially released yet.
Comment 5 commit-hook freebsd_committer 2018-06-19 00:37:55 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jun 19 00:37:46 UTC 2018
New revision: 472727
URL: https://svnweb.freebsd.org/changeset/ports/472727

Log:
  www/firefox: update to 61.0

  - Drop DTRACE option, as it no longer builds
    https://bugzilla.mozilla.org/show_bug.cgi?id=1448659
    https://bugzilla.mozilla.org/show_bug.cgi?id=702179#c33
  - Stop using system hunspell per
    https://bugzilla.mozilla.org/show_bug.cgi?id=1460600

  Changes:	https://www.mozilla.org/firefox/61.0/releasenotes/
  PR:		227850
  Security:	cd81806c-26e7-4d4a-8425-02724a2f48af
  MFH:		2018Q2
  Differential Revision:	https://reviews.freebsd.org/D15227

Changes:
  head/Mk/Uses/gecko.mk
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-addon-search
  head/www/firefox/files/patch-bug1021761
  head/www/firefox/files/patch-bug1375074
  head/www/firefox/files/patch-bug1411481
  head/www/firefox/files/patch-bug1435212
  head/www/firefox/files/patch-bug1438678
  head/www/firefox/files/patch-bug1442583
  head/www/firefox/files/patch-bug1444798
  head/www/firefox/files/patch-bug1445907
  head/www/firefox/files/patch-bug1447359
  head/www/firefox/files/patch-bug1451292
  head/www/firefox/files/patch-bug1456556
  head/www/firefox/files/patch-bug702179
  head/www/firefox/files/patch-dom_media_flac_FlacDecoder.cpp
  head/www/firefox/files/patch-u2f-hid-rs62
  head/www/firefox/files/patch-z-bug1436911
  head/www/firefox/files/patch-z-bug517422
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 6 commit-hook freebsd_committer 2018-06-25 22:37:02 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jun 25 22:36:15 UTC 2018
New revision: 473354
URL: https://svnweb.freebsd.org/changeset/ports/473354

Log:
  MFH: r468159 r472727 r472730 r473076

  www/firefox: update to 61.0

  - Drop DTRACE option, as it no longer builds
    https://bugzilla.mozilla.org/show_bug.cgi?id=1448659
    https://bugzilla.mozilla.org/show_bug.cgi?id=702179#c33
  - Stop using system hunspell per
    https://bugzilla.mozilla.org/show_bug.cgi?id=1460600

  Changes:	https://www.mozilla.org/firefox/61.0/releasenotes/
  PR:		227850
  Security:	cd81806c-26e7-4d4a-8425-02724a2f48af
  Approved by:	ports-secteam blanket
  Differential Revision:	https://reviews.freebsd.org/D15227

Changes:
_U  branches/2018Q2/
  branches/2018Q2/Mk/Uses/gecko.mk
  branches/2018Q2/Mk/bsd.gecko.mk
  branches/2018Q2/www/firefox/Makefile
  branches/2018Q2/www/firefox/distinfo
  branches/2018Q2/www/firefox/files/patch-addon-search
  branches/2018Q2/www/firefox/files/patch-bug1021761
  branches/2018Q2/www/firefox/files/patch-bug1375074
  branches/2018Q2/www/firefox/files/patch-bug1411481
  branches/2018Q2/www/firefox/files/patch-bug1438678
  branches/2018Q2/www/firefox/files/patch-bug1442583
  branches/2018Q2/www/firefox/files/patch-bug1444798
  branches/2018Q2/www/firefox/files/patch-bug1445907
  branches/2018Q2/www/firefox/files/patch-bug1447359
  branches/2018Q2/www/firefox/files/patch-bug1451292
  branches/2018Q2/www/firefox/files/patch-bug1456556
  branches/2018Q2/www/firefox/files/patch-bug702179
  branches/2018Q2/www/firefox/files/patch-dom_media_flac_FlacDecoder.cpp
  branches/2018Q2/www/firefox/files/patch-u2f-hid-rs62
  branches/2018Q2/www/firefox/files/patch-z-bug1436911
  branches/2018Q2/www/firefox/files/patch-z-bug517422
  branches/2018Q2/www/firefox-i18n/Makefile
  branches/2018Q2/www/firefox-i18n/distinfo
Comment 7 commit-hook freebsd_committer 2018-07-04 18:17:06 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul  4 18:16:43 UTC 2018
New revision: 473913
URL: https://svnweb.freebsd.org/changeset/ports/473913

Log:
  www/firefox: update to 61.0.1

  Changes:	https://www.mozilla.org/firefox/61.0.1/releasenotes/
  PR:		227850

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 8 commit-hook freebsd_committer 2018-07-04 22:25:33 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul  4 22:25:18 UTC 2018
New revision: 473931
URL: https://svnweb.freebsd.org/changeset/ports/473931

Log:
  MFH: r473913

  www/firefox: update to 61.0.1

  Changes:	https://www.mozilla.org/firefox/61.0.1/releasenotes/
  PR:		227850
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q3/
  branches/2018Q3/www/firefox/Makefile
  branches/2018Q3/www/firefox/distinfo
  branches/2018Q3/www/firefox-i18n/Makefile
  branches/2018Q3/www/firefox-i18n/distinfo
Comment 9 commit-hook freebsd_committer 2018-08-08 10:34:50 UTC
A commit references this bug:

Author: jbeich
Date: Wed Aug  8 10:34:25 UTC 2018
New revision: 476635
URL: https://svnweb.freebsd.org/changeset/ports/476635

Log:
  www/firefox: update to 61.0.2

  Changes:	https://www.mozilla.org/firefox/61.0.2/releasenotes/
  PR:		227850

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 10 commit-hook freebsd_committer 2018-08-09 11:45:25 UTC
A commit references this bug:

Author: jbeich
Date: Thu Aug  9 11:44:29 UTC 2018
New revision: 476739
URL: https://svnweb.freebsd.org/changeset/ports/476739

Log:
  MFH: r476635

  www/firefox: update to 61.0.2

  Changes:	https://www.mozilla.org/firefox/61.0.2/releasenotes/
  PR:		227850
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q3/
  branches/2018Q3/www/firefox/Makefile
  branches/2018Q3/www/firefox/distinfo
  branches/2018Q3/www/firefox-i18n/Makefile
  branches/2018Q3/www/firefox-i18n/distinfo
Comment 11 Jan Beich freebsd_committer 2019-02-02 18:56:16 UTC
DTRACE is gone from all gecko@ ports since ports r491972, partially thanks to bug 235153.